@import "tailwindcss";
@source not "../../public";
@import url("https://fonts.googleapis.com/css2?family=Lavishly+Yours&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Corinthia:wght@400;700&family=EB+Garamond:ital,wght@0,400..800;1,400..800&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Imperial+Script&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Dancing+Script:wght@400..700&display=swap");
@import url('https://fonts.googleapis.com/css2?family=Great+Vibes&display=swap');



body,
html {
    scroll-behavior: smooth;
}
.bohoButtonLink {
    padding: 8px;
    background-color: var(--color-boho-green);
    max-width: 180px;
    border-radius: 12px;
    color: #fff;
    font-weight: 600;
    border: 2px solid var(--color-boho-green);
    transition: 0.2s ease;
    cursor: pointer;
    border: 1px solid #fff;
}
.bohoButtonLink:hover {
    color: var(--color-boho-green);
    background-color: #fff;
    border: 1px solid var(--color-boho-green);
}
@media (max-width: 768px) {
    body,
    html {
        overflow-x: hidden;
        width: 100%;
    }
}
#classicPage {
    color: var(--color-classic-dark-brown);
    min-height: 100vh;
    background: #d8cab8;
    background: linear-gradient(
        220deg,
        rgba(216, 202, 184, 1) 0%,
        rgba(250, 249, 246, 1) 50%,
        rgba(216, 202, 184, 1) 100%
    );
}
.classicButtonLink {
    padding: 8px;
    background-color: var(--color-classic-dark-brown);
    max-width: 180px;
    border-radius: 8px;
    color: rgb(250, 249, 246);
    font-weight: 600;
    transition: 0.2s ease;
    cursor: pointer;
}
.classicButtonLink:hover {
    color: var(--color-classic-dark-brown);
    background-color: var(--color-classic-brown);
}

#glamourPage {
    background: #fff;
    background: linear-gradient(
        26deg,
        rgba(255, 255, 255, 1) 0%,
        rgba(250, 242, 245, 1) 50%,
        rgba(242, 208, 217, 1) 100%
    );
}

.glamourButtonLink {
    padding: 8px;
    background-color: var(--color-glamour-pink-pastel);
    max-width: 180px;
    border-radius: 8px;
    color: var(--color-glamour-black);
    font-weight: 600;
    transition: 0.2s ease;
    cursor: pointer;
}
.glamourButtonLink:hover {
    color: #fff;
    background-color: var(--color-glamour-black);
}

.minimalistButtonLink {
    padding: 8px;
    background-color: var(--color-minimalist-gold);
    max-width: 180px;
    border-radius: 8px;
    color: #fff;
    font-weight: 600;
    transition: 0.2s ease;
    cursor: pointer;
    border: 1px solid var(--color-minimalist-gold);
}
.minimalistButtonLink:hover {
    color: var(--color-minimalist-gold);
    background-color: #fff;
}

.rusticButtonLink {
    padding: 8px;
    background-color: var(--color-rustic-ecru);
    max-width: 180px;
    border-radius: 8px;
    color: var(--color-rustic-brown);
    font-weight: 600;
    transition: 0.2s ease;
    cursor: pointer;
    border: 1px solid var(--color-rustic-brown);
}
.rusticButtonLink:hover {
    color: #fff;
    background-color: var(--color-rustic-brown);
}
.gallery {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    max-width: 1000px;
}
.gallery img {
    height: 300px;
    object-fit: cover;
    flex: 1 1 auto;
    border-radius: 8px;
    background: #eee;
}
@media screen and (max-width: 1180px) {
    .gallery {
        display: flex;
        align-items: center;
    }
    .gallery img {
        flex: 1 1 !important;
    }
}


